Summary:	GNU nano - Nano's ANOther editor, an enhanced free Pico clone
Summary(pl.UTF-8):	GNU nano - jeszcze jeden edytor: darmowy, rozbudowany klon Pico
Name:		nano
Version:	4.6
Release:	1
License:	GPL v3+
Group:		Applications/Editors
Source0:	https://www.nano-editor.org/dist/latest/%{name}-%{version}.tar.xz
# Source0-md5:	9e87ae93cc7a5c7f5e64f97db089ae1b
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-info.patch
Patch1:		%{name}-ncurses-ncurses.h.patch
URL:		https://www.nano-editor.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.14
BuildRequires:	gettext-tools >= 0.18.3
BuildRequires:	groff
BuildRequires:	libmagic-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU nano (Nano's ANOther editor) is a small, free and friendly editor
which aims to replace Pico, the default editor included in the
non-free Pine package. Rather than just copying Pico's look and feel,
nano also implements some missing (or disabled by default) features in
Pico, such as "search and replace" and "go to line number".

%description -l pl.UTF-8
GNU nano (Nano's ANOther editor - Nano to kolejny edytor) to mały,
otwarty i przyjazny edytor, którego celem jest zastąpienie Pico,
standardowego edytora zawartego w niewolnym pakiecie Pine. Oprócz
wyglądu oraz interfejsu, nano posiada kilka brakujących (lub
wyłączonych standardowo) w Pico funkcji, takich jak: "znajdź i zastąp"
lub "idź do wiersza numer".

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog IMPROVEMENTS NEWS README THANKS TODO doc/{faq.html,sample.nanorc}
%attr(755,root,root) %{_bindir}/nano
%attr(755,root,root) %{_bindir}/rnano
%{_datadir}/nano
%{_desktopdir}/nano.desktop
%{_pixmapsdir}/nano.png
%{_mandir}/man1/nano.1*
%{_mandir}/man1/rnano.1*
%{_mandir}/man5/nanorc.5*
%{_infodir}/nano.info*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nano.git;a=log;h=master

* Wed Dec 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 2196017
- updated to 4.6

* Sat Oct 05 2019 Adam Gołębiowski <adamg@pld-linux.org> c764b60
- updated to 4.5

* Mon Aug 26 2019 Adam Gołębiowski <adamg@pld-linux.org> ca62366
- updated to 4.4

* Wed Jun 26 2019 Adam Gołębiowski <adamg@pld-linux.org> 0ff3a34
- updated to 4.3

* Tue Apr 16 2019 Adam Gołębiowski <adamg@pld-linux.org> c95a1b0
- updated to 4.1

* Mon Mar 25 2019 Adam Gołębiowski <adamg@pld-linux.org> 0f8e3bc
- updated to 4.0

* Tue Nov 13 2018 Adam Gołębiowski <adamg@pld-linux.org> a53ec72
- updated to 3.2

* Tue Sep 25 2018 Adam Gołębiowski <adamg@pld-linux.org> ff4fbe8
- updated to 3.1

* Tue Jun 12 2018 Jakub Bogusz <qboosh@pld-linux.org> cfff52a
- updated to 2.9.8
- updated ncurses patch

* Sun Dec 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 354d3d1
- updated to 2.9.1

* Wed Jul 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 4e72e11
- updated to 2.8.6
- updated info patch

* Thu Jun 08 2017 Jakub Bogusz <qboosh@pld-linux.org> 8e3cb49
- updated to 2.8.4
- updated info patch

* Sat Mar 11 2017 Jakub Bogusz <qboosh@pld-linux.org> 8492030
- updated to 2.7.5

* Thu Feb 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 47cb852
- updated to 2.7.4
- updated info patch

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c97a9cd
- updated gettext BR

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> 62b517e
- fix syntax error in texinfo
- rel 5

* Tue Jan 10 2012 lisu <lisu@pld-linux.org> 653cab6
- no more separated libtinfo(w)

* Tue Jan 03 2012 lisu <lisu@pld-linux.org> a29d5f8
- rel 4

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d808e41
- release 3

* Mon Nov 22 2010 lisu <lisu@pld-linux.org> e7191f7
- rel 2

